@mixin fontFace(
  $family,
  $src-eot,
  $src-woff2,
  $src-woff,
  $src-ttf,
  $src-local-one,
  $src-local-two,
  $style: normal,
  $weight: normal
) {
  @font-face {
    font-weight: $weight;
    font-family: $family;
    font-style: $style;
    src: url('#{$src-eot}.eot');
    src: local($src-local-one), local($src-local-two),
      url('#{$src-woff2}.woff2') format('woff2'),
      url('#{$src-woff}.woff') format('woff'),
      url('#{$src-ttf}.ttf') format('truetype');
  }
}

// unit used for text/article spacings
@function rhythm($multiply: 1) {
  @return calc(1rem * #{$line-height} * #{$multiply});
}

@mixin font($family, $weight: normal, $size: inherit, $line-height: inherit) {
  font-weight: $weight;
  font-size: $size;
  font-family: $family;
  line-height: $line-height;
}
